/* Effective stylesheet produced by snapshot save */
@keyframes opacity-in {
  0% { opacity: 0; }
  100% { opacity: 1; }
}
@keyframes opacity-in {
  0% { opacity: 0; }
  100% { opacity: 1; }
}
@keyframes opacity-in {
  0% { opacity: 0; }
  100% { opacity: 1; }
}
html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, font, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td { margin: 0px; padding: 0px; border: 0px none; font-size: 100%; }
.topbar { font-size: 13px; }
.topbar .topbar-icon, .topbar .date-group-toggle, .topbar .icon-help > .triangle { background-color: transparent; background-repeat: no-repeat; background-image: url("share-sprite-new.svg"), none; }
.topbar { width: 100%; background: none repeat scroll 0% 0% rgba(0, 0, 0, 0.86); height: 34px; line-height: 1; }
.topbar input[type="text"] { transition: none 0s ease 0s ; border: 1px solid rgb(203, 203, 203); font-size: 100%; font-family: "Helvetica Neue",Helvetica,Arial,sans-serif ! important; border-radius: 0px; padding: 3px; margin: 5px 0px; }
.topbar .topbar-wrapper { width: 980px; margin: 0px auto; height: 34px; text-align: left; position: relative; }
.topbar .network-items { display: inline-block; vertical-align: top; }
.topbar .hidden-text { position: absolute; top: -200px; }
.topbar .icon-site-switcher { width: 150px; background-position: 10px -20px; }
.topbar .icon-help { padding-right: 4px ! important; }
.topbar .icon-help .triangle { background-position: -119px -30px; display: inline-block; width: 11px; height: 13px; vertical-align: top; }
.topbar .topbar-icon { display: inline-block; height: 34px; vertical-align: top; text-align: center; }
.topbar .yes-hover:hover { background-color: rgb(68, 68, 68); text-decoration: none ! important; }
.topbar .topbar-links { vertical-align: top; position: absolute; right: 0px; top: 0px; font-size: 13px; font-family: "Helvetica Neue",Helvetica,Arial,sans-serif ! important; }
.topbar .topbar-links .topbar-menu-links { margin-left: 15px; margin-top: -10px; display: inline-block; vertical-align: top; font-size: 0px; }
.topbar .topbar-links .topbar-menu-links a, .topbar .topbar-links .topbar-menu-links a:visited { color: rgb(224, 224, 224); text-decoration: none; display: inline-block; height: 24px; padding: 10px 7px 0px; vertical-align: top; font-size: 13px; }
.topbar .topbar-links .topbar-menu-links a:hover { background-color: rgb(68, 68, 68); }
.topbar .topbar-links .links-container { display: inline-block; vertical-align: top; padding-top: 10px; }
.topbar .topbar-links .search-container { display: inline-block; vertical-align: top; margin-top: 1px; }
.topbar .topbar-links .search-container input[type="text"] { width: 188px; height: 16px; margin-left: 20px; margin-bottom: 0px; font-size: 13px; font-family: "Helvetica Neue",Helvetica,Arial,sans-serif ! important; color: rgb(136, 136, 136); border: 1px solid rgb(0, 0, 0); padding-top: 2px ! important; padding-bottom: 2px ! important; padding-right: 5px; background-image: url("share-sprite-new.svg"), none; background-repeat: no-repeat; background-color: rgb(255, 255, 255); background-position: -269px -92px ! important; padding-left: 22px ! important; }
.topbar .topbar-links .search-container input[type="text"]:focus { color: rgb(68, 68, 68); }
.topbar .topbar-links .search-container form { margin: 0px; padding: 0px; }
.topbar-dialog { font-family: "Helvetica Neue",Helvetica,Arial,sans-serif ! important; color: rgb(61, 61, 61); font-size: 12px; background-color: rgb(255, 255, 255); box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.2); z-index: 999; position: absolute; text-align: left; border-left: 1px solid rgb(224, 224, 224); border-right: 1px solid rgb(224, 224, 224); border-bottom: 1px solid rgb(224, 224, 224); }
.topbar-dialog a { color: rgb(0, 119, 204); text-decoration: none; }
.topbar-dialog a:visited { color: rgb(24, 82, 154); }
.topbar-dialog a:hover { color: rgb(1, 84, 144); text-decoration: none; }
.topbar-dialog .related-links { color: rgb(136, 136, 136); }
.topbar-dialog .related-links a, .topbar-dialog .related-links a:visited { margin-left: 10px; color: rgb(0, 119, 204); }
.topbar-dialog.siteSwitcher-dialog { width: 375px; overflow-y: scroll; overflow-x: hidden; min-height: 390px; max-height: 390px; }
.topbar-dialog.siteSwitcher-dialog .call-to-login { padding: 7px 0px; text-align: center; line-height: 1.3; }
.topbar-dialog.siteSwitcher-dialog .modal-content { padding: 0px; }
.topbar-dialog.siteSwitcher-dialog .modal-content li:first-child { padding-top: 2px; }
.topbar-dialog.siteSwitcher-dialog .modal-content li:last-child { padding-bottom: 2px; }
.topbar-dialog.siteSwitcher-dialog .modal-content li { padding-left: 7px; padding-right: 7px; }
.topbar-dialog.siteSwitcher-dialog #your-communities-section.modal-content { max-height: none; }
.topbar-dialog.siteSwitcher-dialog .current-site-container { background-color: rgb(246, 252, 255); border-left: 3px solid rgb(47, 150, 232); }
.topbar-dialog.siteSwitcher-dialog .current-site .current-site-link { font-weight: bold; }
.topbar-dialog.siteSwitcher-dialog .current-site .related-links { float: right; display: inline-block; }
.topbar-dialog.siteSwitcher-dialog .current-site li { border: medium none; }
.topbar-dialog.siteSwitcher-dialog .current-site li:hover { background-color: rgb(232, 243, 250); }
.topbar-dialog.siteSwitcher-dialog .L-shaped-icon-container { float: left; padding: 0px; margin: 8px 6px 0px 5px; }
.topbar-dialog.siteSwitcher-dialog .L-shaped-icon { width: 10px; height: 10px; border-style: solid; border-color: rgb(185, 193, 197); -moz-border-top-colors: none; -moz-border-right-colors: none; -moz-border-bottom-colors: none; -moz-border-left-colors: none; border-image: none; border-width: 0px 0px 1px 1px; display: inline-block; }
.topbar-dialog.help-dialog { width: 215px; }
.topbar-dialog.help-dialog .item-summary { display: block; color: rgb(61, 61, 61); margin-top: 4px; }
.topbar-dialog.help-dialog a { display: block; }
.topbar-dialog ul { padding-left: 0px; margin-left: 0px; margin-bottom: 0px; }
.topbar-dialog ul li { list-style: outside none none; margin-left: 0px; line-height: 1.3; }
.topbar-dialog .header { background-color: rgb(240, 240, 240); width: 100%; box-sizing: border-box; padding: 7px 10px 4px; position: relative; clear: both; }
.topbar-dialog .header h3, .topbar-dialog .header h3 a { font-family: "Helvetica Neue",Helvetica,Arial,sans-serif ! important; color: rgb(102, 102, 102); font-weight: bold; font-variant: small-caps; line-height: 0.8; display: inline-block; }
.topbar-dialog .modal-content { width: 100%; box-sizing: border-box; padding: 10px 7px; max-height: 300px; margin: 1px 0px; position: relative; }
.topbar-dialog .modal-content li { border-bottom: 1px solid rgb(238, 238, 238); margin-bottom: 0px; }
.topbar-dialog .modal-content li:hover { background-color: rgb(250, 250, 250); }
.topbar-dialog .modal-content li > * { padding: 7px 3px; }
.topbar-dialog .modal-content li > a { display: block; }
.topbar-dialog .modal-content li:last-child { border-bottom: medium none; }
.topbar-dialog .site-icon { width: 16px; height: 16px; vertical-align: top; margin-right: 5px; display: inline-block; }
@keyframes fadein {
  0% { opacity: 0; }
  100% { opacity: 1; }
}
@keyframes fadein {
  0% { opacity: 0; }
  100% { opacity: 1; }
}
.fw { width: 100%; }
.favicon { width: 16px; height: 16px; }
div.favicon { display: inline-block; }
.favicon { background-color: transparent; background-repeat: no-repeat; background-image: url("favicons-sprite16.png"); }
@media only screen and (min--moz-device-pixel-ratio: 1.5), not all, not all, not all {
  .favicon { background-image: url("urn:not-loaded:http://cdn.sstatic.net/img/favicons-sprite32.png?v=dfcd57122a10c2937343262bd2583405"); background-size: 16px 5526px; }
}
.favicon-academia { background-position: 0px 0px; }
.favicon-aviation { background-position: 0px -288px; }
.favicon-careers { background-position: 0px -720px; }
.favicon-chemistry { background-position: 0px -738px; }
.favicon-codegolf { background-position: 0px -918px; }
.favicon-crypto { background-position: 0px -1170px; }
.favicon-dba { background-position: 0px -1350px; }
.favicon-diy { background-position: 0px -1386px; }
.favicon-ell { background-position: 0px -1674px; }
.favicon-math { background-position: 0px -2898px; }
.favicon-movies { background-position: 0px -3150px; }
.favicon-physics { background-position: 0px -3582px; }
.favicon-puzzling { background-position: 0px -3798px; }
.favicon-scifi { background-position: 0px -4266px; }
.favicon-security { background-position: 0px -4302px; }
.favicon-stackoverflow { background-position: 0px -4752px; }
.favicon-stackoverflowmeta { background-position: 0px -4770px; }
.favicon-travel { background-position: 0px -5022px; }
.favicon-unix { background-position: 0px -5094px; }
.favicon-ux { background-position: 0px -5130px; }
.favicon-workplace { background-position: 0px -5418px; }
.favicon-worldbuilding { background-position: 0px -5454px; }
.envelope-on, .envelope-off, .vote-up-off, .vote-up-on, .vote-down-off, .vote-down-on, .star-on, .star-off, .comment-up-off, .comment-up-on, .comment-flag, .edited-yes, .feed-icon, .vote-accepted-off, .vote-accepted-on, .vote-accepted-bounty, .badge-earned-check, .delete-tag, .grippie, .expander-arrow-hide, .expander-arrow-show, .expander-arrow-small-hide, .expander-arrow-small-show, .anonymous-gravatar, .badge1, .badge2, .badge3 { background-image: url("urn:not-loaded:http://cdn.sstatic.net/stackoverflow/img/sprites.png?v=a0b4a462ad08"); background-repeat: no-repeat; overflow: hidden; }
.vote-up-off, .vote-up-on, .vote-down-off, .vote-down-on, .star-on, .star-off, .vote-accepted-off, .vote-accepted-on { display: block; margin: 0px auto 2px; text-indent: -999em; width: 40px; height: 40px; }
.vote-up-off, .vote-down-off, .vote-accepted-off, .star-off, .comment-up-off, .flag-off { cursor: pointer; }
.vote-up-off, .vote-up-on, .vote-down-off, .vote-down-on, .star-on, .star-off, .comment-up-off, .comment-up-on, .comment-flag, .flag-off, .vote-accepted-off, .vote-accepted-on { text-indent: -9999em; font-size: 1px; }
.vote-up-off { background-position: 0px -170px; }
.vote-down-off { background-position: 0px -220px; margin-bottom: 8px; }
.star-off { background-position: 0px -120px; }
.vote-accepted-on { background-position: -40px -270px; }
.badgecount { font-size: 12px; font-weight: bold; padding-left: 2px; color: rgb(128, 129, 133); }
.badge1, .badge2, .badge3 { display: inline-block; overflow: hidden; line-height: inherit; vertical-align: text-bottom; width: 14px; height: 14px; }
.badge1 { background-position: -97px -398px; }
.badge2 { background-position: -77px -398px; }
.badge3 { background-position: -57px -398px; }
.post-tag { background: none repeat scroll 0% 0% rgb(228, 237, 244); padding: 0.4em 0.5em; text-align: center; line-height: 1; color: rgb(62, 109, 142); margin: 2px 2px 2px 0px; text-decoration: none; font-size: 12px; white-space: nowrap; display: inline-block; border-radius: 0px; border: 1px solid rgb(228, 237, 244); }
.post-tag:visited { color: rgb(62, 109, 142); }
.post-tag:hover { color: rgb(62, 109, 142); background-color: rgb(218, 230, 239); border: 1px solid rgb(218, 230, 239); }
.post-tag:hover { text-decoration: none; }
.post-tag:visited { color: rgb(86, 110, 118); }
.wmd-button-bar { height: 44px; clear: both; background-color: transparent; margin: 10px 0px 0px; padding: 0px 12px; width: 634px; float: left; border-width: 1px 1px 0px; border-style: solid solid none; border-color: rgb(204, 204, 204) rgb(204, 204, 204) -moz-use-text-color; -moz-border-top-colors: none; -moz-border-right-colors: none; -moz-border-bottom-colors: none; -moz-border-left-colors: none; border-image: none; }
.wmd-button-bar .wmd-spacer, .wmd-button-bar .wmd-spacer1, .wmd-button-bar .wmd-spacer2, .wmd-button-bar .wmd-spacer3 { border: medium none; }
.wmd-button-bar #wmd-redo-button { border: medium none; padding-right: 14px; }
.wmd-input { padding: 10px; height: 200px; line-height: 1.3; width: 660px; font-family: Consolas,Menlo,Monaco,Lucida Console,Liberation Mono,DejaVu Sans Mono,Bitstream Vera Sans Mono,Courier New,monospace,serif; }
.wmd-button-row { position: relative; padding: 0px; height: 36px; margin: 0px; }
.wmd-spacer { width: 1px; height: 44px; margin-left: 14px; position: absolute; display: inline-block; list-style: outside none none; border-right: 1px solid rgb(204, 204, 204); }
.wmd-button { width: 20px; height: 32px; padding: 12px 0px 0px; position: absolute; display: inline-block; list-style: outside none none; cursor: pointer; }
.wmd-button > span { background-repeat: no-repeat; background-position: 0px 0px; width: 20px; height: 20px; display: inline-block; }
.wmd-input { -moz-tab-size: 4; box-sizing: border-box; }
.wmd-button > span { background-image: url("wmd-buttons.svg"), none; background-size: initial ! important; }
@media not all, not all, not all, not all {
  .wmd-button > span { background-image: url("wmd-buttons.svg"), none; }
}
textarea#wmd-input { font-family: Consolas,Menlo,Monaco,Lucida Console,Liberation Mono,DejaVu Sans Mono,Bitstream Vera Sans Mono,Courier New,monospace,serif; }
.grippie, .wmd-preview { margin-top: -4px; }
.wmd-preview { box-sizing: border-box; padding: 10px; border: 1px dotted rgb(204, 204, 204); clear: both; }
#footer { padding-top: 20px; background-color: rgb(47, 47, 47); }
#footer #footer-menu { margin-bottom: 1.5em; line-height: 1.7em; }
#footer #footer-menu a { margin: 0px; }
#footer #footer-menu a.more { font-weight: bold; }
#footer #footer-menu .top-footer-links a { margin: 0px 0.8em 0px 0px; }
#footer #copyright { font-size: 100%; font-weight: bold; border: medium none; color: rgb(119, 119, 119); padding: 0px; }
#footer #copyright a { text-decoration: none; }
#footer #svnrev { text-align: left; font-size: 10px; margin-bottom: 10px; color: rgb(204, 204, 204); }
#footer #footer-sites { clear: both; width: 1000px; margin: 1.5em auto; }
#footer th, #footer td { margin: 0px; width: 130px; padding: 0px 15px 0px 0px; text-align: left; text-transform: uppercase; font-size: 0.9em; }
#footer th { color: rgb(119, 119, 119); padding-bottom: 1em; line-height: 1.3; }
#footer td { vertical-align: top; }
#footer li { list-style: outside none none; line-height: 1.3em; margin-bottom: 10px; text-transform: none; font-size: 1em; }
#footer ol { margin: 0px; }
#footer .top-footer-links a, #footer .top-footer-links a:visited { margin: 0px 0.8em 0px 0px; }
#footer #footer-sites { margin: 40px 0px 20px; }
#footer #footer-sites a, #footer #footer-sites a:visited { color: rgb(187, 187, 187); font-size: 12px; }
#footer th { color: rgb(255, 255, 255); }
#footer #copyright, #footer #additional-notices { clear: both; font-size: 11px; padding-top: 10px; font-weight: 400; text-align: left; color: rgb(119, 119, 119); }
#footer #copyright a, #footer #additional-notices a, #footer #copyright a:visited, #footer #additional-notices a:visited { color: rgb(162, 220, 244); }
.footerwrap { width: 1000px; padding: 15px; margin: 0px auto; text-align: left; box-sizing: content-box; }
#footer { clear: both; }
#footer-menu { float: left; }
#footer-menu .top-footer-links a, #footer-menu .top-footer-links a:visited { color: rgb(162, 220, 244); }
#svnrev { margin-top: 5px; text-align: right; }
#copyright { font-size: 11px; }
@keyframes new-profile-box {
  0% { width: 100px; height: 11px; }
  100% { width: 164px; height: 56px; }
}
@keyframes new-profile-box {
  0% { width: 100px; height: 11px; }
  100% { width: 164px; height: 56px; }
}
@keyframes blink {
  0% { background: none repeat scroll 0% 0% rgb(119, 238, 119); }
  50% { background: none repeat scroll 0% 0% transparent; }
  100% { background: none repeat scroll 0% 0% rgb(119, 238, 119); }
}
@keyframes blink {
  0% { background: none repeat scroll 0% 0% rgb(119, 238, 119); }
  50% { background: none repeat scroll 0% 0% transparent; }
  100% { background: none repeat scroll 0% 0% rgb(119, 238, 119); }
}
body { font-size: 13px; line-height: 1.3em; color: rgb(34, 34, 34); background: none repeat scroll 0% 0% rgb(255, 255, 255); min-width: 1030px; font-family: "Helvetica Neue",Helvetica,Arial,sans-serif; }
ol, ul { list-style: outside none none; }
blockquote, q { quotes: none; }
blockquote:before, blockquote:after, q:before, q:after { content: none; }
.question .postcell { vertical-align: top; }
table { border-collapse: collapse; border-spacing: 0px; }
code { font-family: Consolas,Menlo,Monaco,Lucida Console,Liberation Mono,DejaVu Sans Mono,Bitstream Vera Sans Mono,Courier New,monospace,sans-serif; background-color: rgb(238, 238, 238); }
textarea { font-family: Consolas,Menlo,Monaco,Lucida Console,Liberation Mono,DejaVu Sans Mono,Bitstream Vera Sans Mono,Courier New,monospace,sans-serif; border: 1px solid rgb(153, 153, 153); }
.form-submit { padding: 10px 0px 15px; display: block; }
.form-submit input:hover { cursor: pointer; }
.form-submit input:active { position: relative; top: 1px; }
input, select, button, .button, a.button:link, a.button:visited { font-size: 100%; }
input { margin: 5px 0px; padding: 3px; }
pre { overflow: auto; font-size: 13px; padding: 5px; width: auto; max-height: 600px; background-color: rgb(238, 238, 238); margin-bottom: 1em; font-family: Consolas,Menlo,Monaco,Lucida Console,Liberation Mono,DejaVu Sans Mono,Bitstream Vera Sans Mono,Courier New,monospace,sans-serif; }
.post-text pre > code:first-child, .wmd-preview pre > code:first-child {  }
pre {  }
blockquote { margin-bottom: 10px; padding: 10px; background-color: rgb(255, 249, 227); border-left: 2px solid rgb(255, 235, 142); }
blockquote p:last-child { margin-bottom: 0px; }
blockquote p:last-child { margin-bottom: 0px; }
blockquote p:last-child { margin-bottom: 0px; }
b, strong { font-weight: bold; }
i, em { font-style: italic; }
ul { list-style: outside none disc; margin-left: 30px; margin-bottom: 1em; }
p { clear: both; margin-bottom: 1em; }
p code { padding: 1px 5px; }
ol { list-style: outside none decimal; margin-left: 30px; margin-bottom: 1em; }
a { cursor: pointer; color: rgb(0, 119, 204); text-decoration: none; }
a:hover { text-decoration: underline; }
a.comment-user { white-space: nowrap; padding: 0px; }
a:visited { color: rgb(12, 101, 165); }
a:hover { color: rgb(48, 167, 252); text-decoration: none; }
a:visited { color: rgb(12, 101, 165); }
a:hover { color: rgb(48, 167, 252); text-decoration: none; }
h1 { font-size: 22px; line-height: 1.3; margin-bottom: 1em; }
h2 { font-size: 18px; line-height: 1.3; margin-bottom: 1em; }
h3 { font-size: 15px; line-height: 1.3; margin-bottom: 1em; }
tr.comment > td { padding: 6px 6px 6px 0px; border-bottom: 1px solid rgb(240, 240, 240); line-height: 1.3; font-size: 13px; vertical-align: top; }
.comment-text { padding: 0px 6px 0px 7px; vertical-align: text-top; }
.comment-text code { padding: 1px 5px; white-space: normal; }
.dno { display: none; }
.vt { vertical-align: top; }
.vm { vertical-align: middle; }
.fw { margin-bottom: 4px; width: 100%; }
.votecell { vertical-align: top; padding-right: 15px; }
.votecell .vote-count-post { margin: 8px 0px; }
.votecell .vote { min-width: 46px; }
#answers { clear: both; padding-top: 10px; width: 728px; }
.answer { padding-bottom: 20px; padding-top: 20px; width: 728px; }
.post-signature { text-align: left; vertical-align: top; width: 175px; height: 58px; padding: 5px; }
.owner { background-color: rgb(224, 234, 241); }
.reputation-score { font-weight: bold; font-size: 12px; margin-right: 2px; }
.relativetime { text-decoration: none; }
#notify-container { font-size: 16px; text-align: center; position: fixed; left: 0px; top: 0px; width: 100%; height: 0px; z-index: 100; }
.lsep { margin: 0px 2px; color: rgb(27, 64, 114); font-size: 1px; visibility: hidden; }
.post-taglist { margin-bottom: 10px; clear: both; }
.post-menu { padding-top: 2px; }
.post-menu > a { padding: 0px 3px 2px; color: rgb(136, 136, 136); }
.post-menu > a:hover { color: rgb(68, 68, 68); text-decoration: none; }
.post-menu .lsep { margin: 0px; padding: 0px; }
.comments { width: 660px; margin-top: 10px; padding-bottom: 10px; line-height: 135%; font-size: 13px; border-top: 1px solid rgb(224, 224, 224); }
.comments > table { width: 100%; }
.comments-link { padding: 0px 3px 2px; }
a.comments-link:hover { padding: 0px 3px 2px; text-decoration: none; }
tr.comment > td { line-height: 1.3; }
.comment-actions { padding-left: 3px; width: 15px; }
.comment-score span { font-size: 13px; font-weight: normal; padding-right: 4px; }
.comment-date { color: rgb(153, 153, 153); }
.user-info { height: 35px; width: 190px; }
.user-info .user-gravatar32 { float: left; width: 32px; height: 32px; }
.user-info .user-action-time { margin-top: 2px; margin-bottom: 4px; }
.user-info .user-details { float: left; margin-left: 5px; width: 150px; overflow: hidden; white-space: nowrap; }
.user-details { color: rgb(136, 136, 136); line-height: 17px; }
.user-details .badgecount { font-weight: normal ! important; font-size: 12px; }
#answers-header { margin-top: 10px; width: 728px; }
#question-header { clear: both; padding: 5px 0px; border-bottom: 1px solid rgb(229, 229, 229); margin-bottom: 1em; }
#question-header h1 { margin-bottom: 0.5em; }
#question-header .question-hyperlink { font-size: 24px; line-height: 1.35; font-weight: normal; margin-bottom: 0.5em; }
#question-header .question-hyperlink { color: rgb(34, 34, 34); }
.answer-votes { color: rgb(85, 85, 85); text-align: center; float: left; padding: 4px; min-width: 20px; height: 15px; text-decoration: none; }
.answer-hyperlink, .question-hyperlink { color: rgb(0, 119, 204); line-height: 1.3; margin-bottom: 1.2em; font-size: 16px; font-weight: normal; }
.answer-hyperlink:hover, .question-hyperlink:hover, .answer-hyperlink:active, .question-hyperlink:active { color: rgb(48, 167, 252); }
.answer-hyperlink:visited, .question-hyperlink:visited { color: rgb(12, 101, 165); }
#mainbar h2, .mainbar h2, #mainbar h3, .mainbar h3, #mainbar h4, .mainbar h4 { font-weight: normal; }
.container { margin: 0px auto; text-align: left; width: 100%; }
#content { min-height: 450px; margin: 0px auto; box-sizing: content-box; width: 1000px; padding: 15px; background-color: rgb(255, 255, 255); }
#content:after { display: table; content: " "; clear: both; }
#header { margin: 0px auto; width: 1000px; height: 96px; padding: 0px 15px; box-sizing: content-box; position: relative; }
#hmenus { position: absolute; right: 15px; top: 55px; }
#hmenus .mainnavs, #hmenus .askquestion { display: inline-block; }
#hlogo { float: left; display: inline-block; }
#hlogo a { display: block; text-indent: -999999em; text-decoration: none; width: 250px; height: 60px; }
#hlogo a:focus { outline: medium none; border: medium none; }
#hlogo a:active { outline: medium none; border: medium none; }
#hlogo a { text-indent: -999em; display: block; width: 200px; height: 50px; background-position: left top; background-repeat: no-repeat; position: relative; top: 5px; background-image: url("sprites.svg"), none; }
.nav ul { margin: 0px; }
.nav ul li { display: inline-block; margin-left: 15px; }
.nav ul li a { text-decoration: none; display: block; }
.nav.askquestion li { margin-right: 0px; }
.nav ul li { display: inline-block; margin: 0px 6px 0px 0px; padding: 0px; }
.nav a { padding: 4px 10px 5px; font-size: 14px; line-height: 1.3; text-decoration: none; color: rgb(255, 255, 255); background-color: rgb(133, 141, 147); }
.nav li.youarehere a, .nav a:hover { color: rgb(255, 255, 255); background-color: rgb(255, 153, 0); }
#tabs, .tabs { float: right; }
#tabs a, .tabs a { float: left; text-decoration: none; display: block; padding: 11px 0px 12px; margin: 0px 20px 0px 0px; }
#tabs a:last-child, .tabs a:last-child { margin-right: 0px; }
#tabs a.youarehere, .tabs a.youarehere { font-weight: 700; }
#sidebar, .sidebar { float: right; overflow: hidden; width: 220px; margin: 0px 0px 15px; }
#sidebar h4, .sidebar h4 { color: rgb(34, 34, 34); font-size: 18px; font-weight: normal; }
#sidebar .post-tag, .sidebar .post-tag, #sidebar .required-tag, .sidebar .required-tag, #sidebar .moderator-tag, .sidebar .moderator-tag, #sidebar .badge, .sidebar .badge, #sidebar .badge-tag, .sidebar .badge-tag { margin-bottom: 0.5em; }
#sidebar h4, .sidebar h4 { margin-bottom: 1em; }
#mainbar, .mainbar { float: left; width: 728px; margin: 0px; padding: 0px; }
#feed-link { text-align: right; float: right; clear: both; margin: 15px; white-space: nowrap; }
#feed-link-text { float: left; }
.subheader { clear: both; margin-bottom: 15px; height: 34px; border-bottom: 1px solid rgb(224, 224, 224); }
.subheader h2 { color: rgb(68, 68, 68); font-size: 18px; float: left; font-weight: normal; margin-bottom: 0px; }
.question { clear: both; }
.vote-count-post { display: block; font-size: 20px; margin: 0px 0px 3px; }
.cool, .mini-counts.cool { color: rgb(153, 153, 153); }
.warm, .mini-counts.warm { color: rgb(155, 118, 79); }
.answered-accepted { color: rgb(225, 232, 24); background-color: rgb(117, 132, 92); }
.started a:not(.started-link), .started .mod-flair { font-size: 12px; color: rgb(0, 119, 204); }
.started a:visited:not(.started-link), .started .mod-flair:visited { color: rgb(0, 119, 204); }
.module { margin-bottom: 1.5em; }
.module .spacer { margin-bottom: 8px; }
.module ul { margin-left: 15px; list-style-type: square; margin-right: 30px; line-height: 120%; }
.module li { margin-bottom: 4px; }
.module h4 { font-size: 14px; color: rgb(68, 68, 68); font-weight: normal; }
.vote { text-align: center; }
.vote span { display: block; color: rgb(119, 119, 119); }
.favoritecount { text-align: center; }
.favoritecount b { color: rgb(119, 119, 119); font-weight: normal; }
.post-text, .wmd-preview { width: 660px; margin-bottom: 5px; word-wrap: break-word; font-size: 15px; line-height: 1.3; }
.post-text pre, .wmd-preview pre { word-wrap: normal; }
.post-text code, .wmd-preview code { font-size: 13px; }
.form-item { padding: 10px 0px 15px; }
.form-item label { display: block; font-weight: bold; padding-bottom: 3px; }
span.feed-icon { display: inline-block; text-decoration: none; vertical-align: middle; background-position: -79px -320px; width: 24px; height: 16px; }
.post-editor { margin-top: 10px; width: 660px; }
.community-option { float: right; color: rgb(136, 136, 136); font-weight: normal; height: 32px; padding-right: 4px; font-size: 10px; position: relative; top: -2px; }
.edit-block { display: none; }
.everyonelovesstackoverflow { margin-bottom: 10px; }
.tagged { margin-bottom: 10px; margin-top: 5px; }
.related { line-height: 1.3; font-size: 12px; }
.related a { font-size: 12px; font-weight: normal; }
.linked { line-height: 1.3; font-size: 12px; }
.linked a { font-size: 12px; font-weight: normal; }
.cbt { clear: both; }
.space { padding-top: 20px; }
.label-key { color: rgb(153, 153, 153); font-size: 14px; }
.label-key b, .label-key strong { color: rgb(68, 68, 68); font-weight: normal; }
.bottom-notice { margin-top: 15px; font-weight: normal; padding: 0px 10px 0px 0px; line-height: 1.4; font-size: 16px; }
.fl { float: left; }
.pun { color: rgb(0, 0, 0); }
.pln { color: rgb(0, 0, 0); }
.tag { color: rgb(128, 0, 0); }
.atn { color: rgb(255, 0, 0); }
.atv { color: rgb(0, 0, 255); }
@media print {
  #feed-link-text { display: none; }
  .pun { color: rgb(68, 68, 0); }
  .pln { color: rgb(0, 0, 0); }
  .tag { color: rgb(0, 0, 102); font-weight: bold; }
  .atn { color: rgb(68, 0, 68); }
  .atv { color: rgb(0, 102, 0); }
  * { position: relative; }
  #sidebar, #system-message, #header, #nav, #tabs, .tabs, #footer, #hmenus, #hlinks, .bounty-link, .comments-link, .post-menu, .post-comments, .notify, form, h2.bottom-notice, div.vote, td.votecell { display: none; }
  .container, body { font-size: 10pt ! important; overflow: visible ! important; height: auto; }
  .container { width: 710px; }
  .container, #content, #question-header, #mainbar, .question, #answers, .post-text { float: none ! important; width: 100%; overflow: visible ! important; }
  pre { max-height: none; display: block; width: 600px; height: auto; overflow-x: auto; white-space: pre-wrap; word-wrap: break-word; clear: both; }
  pre, code { font-size: 9pt ! important; }
  #answers-header { clear: both; page-break-after: avoid; }
  .comments { font-size: 9pt; width: 650px; }
  #mainbar { margin: 0px; }
  .post-text { width: 90%; }
  #content { width: auto; height: 100%; overflow: auto; border: medium none; }
  .answer { width: 700px; overflow-y: auto; }
}
.comment-up-off, .comment-up-on, .comment-flag, .edited-yes { display: inline-block; vertical-align: text-bottom; line-height: 12px; height: 15px; width: 16px; }
.edited-yes { background-position: -20px -340px; }
.vote-accepted-off, .vote-accepted-on, .vote-accepted-bounty { display: block; margin: 0px auto; }
.lastactivity-link { color: inherit; background-color: transparent; }
td.answercell { vertical-align: top; }
html { min-width: 1000px; }
code { white-space: pre-wrap; padding: 1px 5px; }
pre code { white-space: inherit; padding: 0px; }
.disabled-link { color: rgb(136, 136, 136); opacity: 0.6; padding: 0px 3px 2px; }
.show-votes .sidebar-linked a, .show-votes .sidebar-related a { display: inline-block; vertical-align: top; font-weight: normal; margin-bottom: 0px; }
.show-votes .sidebar-linked .answer-votes, .show-votes .sidebar-related .answer-votes { background-color: rgb(238, 238, 238); color: rgb(68, 68, 68); font-size: 90%; font-weight: normal; margin-right: 5px; padding: 2px 0px; margin-top: 2px; }
.show-votes .sidebar-linked .question-hyperlink, .show-votes .sidebar-related .question-hyperlink { width: 163px; }
.show-votes .sidebar-linked .spacer, .show-votes .sidebar-related .spacer { margin-bottom: 12px; }
.comment-date, .comment-date > a { border-bottom: medium none; color: rgb(153, 153, 153); }
#overlay-header { opacity: 0; display: none; background: none repeat scroll 0% 0% rgba(255, 255, 255, 0.95); font-size: 16px; font-weight: normal; text-align: center; left: 0px; padding: 0.5em 10%; position: fixed; top: 0px; width: 80%; z-index: 250; box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.3); }
.answer-votes { cursor: pointer; }
.answer-votes.large { font-size: 90%; padding-top: 4px; padding-bottom: 2px; }
.answer-votes.extra-large { font-size: 90%; padding-top: 4px; padding-bottom: 2px; min-width: 32px; }
#hot-network-questions h4 a { font-weight: inherit; font-size: inherit; width: inherit; }
#hot-network-questions ul { margin: 0px; }
#hot-network-questions li { list-style-type: none; white-space: nowrap; margin-bottom: 10px; margin-left: 0px; }
#hot-network-questions img, #hot-network-questions a, #hot-network-questions .favicon { display: inline-block; vertical-align: top; }
#hot-network-questions img, #hot-network-questions .favicon { margin: 2px 6px 0px 0px; }
#hot-network-questions a { font-weight: normal; font-size: 12px; white-space: normal; width: 90%; }
input[type="button"], input[type="submit"], .button, a.button:link, a.button:visited { cursor: pointer; }
.gravatar-wrapper-32 { padding: 0px; width: 32px; height: 32px; overflow: hidden; }
.gravatar-wrapper-32 img { height: 32px; margin: 0px auto; }
.user-info.user-hover .user-gravatar32, .user-info.user-hover .user-gravatar48 { box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5); border-collapse: separate; }
.comments {  }
span.highlight { background-color: rgb(255, 255, 119); }
textarea { resize: none; }
.ask-page .privacy-policy-agreement, .question-page .privacy-policy-agreement { margin-top: 15px; }
.question-page #answers .answer { border-bottom: 1px solid rgb(240, 240, 240); }
.privacy-policy-agreement { font-style: italic; }
input[type="button"]:disabled, input[type="submit"]:disabled { opacity: 0.3; }
.new-login-form { margin-top: 15px; width: 670px; }
.new-login-form h3 { font-size: 1.5em; margin-bottom: 1em; }
.new-login-form input[type="text"], .new-login-form input[type="email"] { border: 1px solid rgb(153, 153, 153); font-size: 100%; font-family: "Helvetica Neue",Helvetica,Arial,sans-serif; margin: 5px 0px; padding: 3px; border-radius: 0px; }
.new-login-form p { margin: 0px; }
.new-login-form .new-login-left { display: inline-block; vertical-align: top; width: 275px; }
.new-login-form .form-item { color: rgb(136, 136, 136); background: none repeat scroll 0% 0% rgb(249, 249, 249); border: 1px solid rgb(212, 212, 212); box-shadow: -1px 1px rgb(242, 242, 242); padding: 7px 10px 9px; }
.new-login-form .form-item label { color: inherit; margin-top: 3px; }
.new-login-form .new-login-right { width: 275px; margin-right: 70px; float: right; display: inline-block; vertical-align: top; }
.preferred-login { background: none repeat scroll 0% 0% rgb(249, 249, 249); width: 258px; border: 1px solid rgb(212, 212, 212); box-shadow: -1px 1px rgb(242, 242, 242); color: rgb(136, 136, 136); padding: 7px; margin-bottom: 15px; cursor: pointer; height: 16px; }
.preferred-login p > span { vertical-align: top; }
.preferred-login .icon { background-image: url("new-login-sprite.png"); width: 16px; height: 16px; display: inline-block; margin-right: 12px; }
.preferred-login.google-login .icon { background-position: 0px 0px; }
.preferred-login.facebook-login .icon { background-position: -19px 0px; }
.preferred-login.stackexchange-login .icon { background-position: -38px 0px; }
.search-module .advanced-tips table tr td:nth-child(1) { color: rgb(135, 135, 135); padding-right: 4px; }
.module { word-wrap: break-word; }
#herobox-mini { width: 100%; height: 50px; margin: 10px auto; border: 1px solid rgb(223, 223, 223); background-color: rgb(255, 255, 255); font-size: 110%; line-height: 1.2; font-family: "Helvetica Neue",Helvetica,Arial,sans-serif; }
#herobox-mini #hero-content { height: 44px; background-color: rgb(240, 240, 240); background-image: url("mini-hero-bg.png"); background-repeat: repeat; border: 3px solid rgb(255, 255, 255); }
#herobox-mini #close { margin-top: 2px; margin-right: 2px; cursor: pointer; }
#herobox-mini #close a { padding: 0px 6px 3px; margin: 0px; font-size: 16px; font-weight: bold; color: rgb(128, 128, 128) ! important; line-height: 1; vertical-align: baseline; text-decoration: none; }
#herobox-mini #blurb { padding: 0px 5px; width: 750px; display: table-cell; vertical-align: middle; height: 44px; }
#herobox-mini #controls { float: right; display: table-cell; margin-top: 5px; }
#custom-header { display: none; }
input[type="text"], input[type="url"], input[type="email"], input[type="tel"], textarea { font-family: "Helvetica Neue",Helvetica,Arial,sans-serif; background: none repeat scroll 0% 0% rgb(255, 255, 255); color: rgb(68, 68, 68); border: 1px solid rgb(204, 204, 204); font-size: 14px; padding: 8px 10px; }
input[type="submit"], input[type="button"], .button, a.button:link, a.button:visited, .btn { background: none repeat scroll 0% 0% rgb(0, 154, 253); line-height: 1; color: rgb(255, 255, 255); border: 1px solid rgb(23, 119, 183); box-shadow: 0px 1px 0px rgba(255, 255, 255, 0.3) inset, 0px 1px 1px rgba(100, 100, 100, 0.3); padding: 8px 10px 7px; border-radius: 3px; text-decoration: none; font-family: "Helvetica Neue",Helvetica,Arial,sans-serif; }
input[type="submit"]:hover, input[type="button"]:hover, .button:hover, a.button:link:hover, a.button:visited:hover, .btn:hover { color: rgb(255, 255, 255); }
a#tell-me-more { display: inline-block; }
.prettyprint { display: block; color: rgb(57, 51, 24); }
.pun { color: rgb(0, 0, 0); }
.pln { color: rgb(0, 0, 0); }
.tag { color: rgb(128, 0, 0); }
.atn { color: rgb(255, 0, 0); }
.atv { color: rgb(0, 0, 255); }
.topbar .topbar-wrapper { width: 1000px; padding-left: 0px; padding-right: 30px; position: relative; }
.topbar .topbar-wrapper .icon-site-switcher { width: 147px; background-position: 9px -20px; }
.topbar .topbar-wrapper .topbar-links .topbar-menu-links { margin-left: 10px; }
.topbar .topbar-wrapper .topbar-links { right: 15px; }
.topbar .topbar-wrapper .topbar-dialog .header h3 { margin-bottom: 5px; }
h4#h-linked { margin-top: 15px; }
.envelope-on, .envelope-off, .vote-up-off, .vote-up-on, .vote-down-off, .vote-down-on, .star-on, .star-off, .comment-up-off, .comment-up-on, .comment-flag, .edited-yes, .feed-icon, .vote-accepted-off, .vote-accepted-on, .vote-accepted-bounty, .badge-earned-check, .delete-tag, .grippie, .expander-arrow-hide, .expander-arrow-show, .expander-arrow-small-hide, .expander-arrow-small-show, .anonymous-gravatar, .badge1, .badge2, .badge3, .gp-share, .fb-share, .twitter-share, #notify-container span.notify-close, .migrated.to, .migrated.from { background-image: url("sprites.svg"), none; background-size: initial; }
#hmenus { top: 42px; }
.comment-text { font-size: 13px; line-height: 1.3; }
#tabs, .tabs { height: 38px; float: right; }
#tabs a, .tabs a { background: none repeat scroll 0% 0% rgb(255, 255, 255); border-right: 1px solid transparent; border-width: 2px 1px 1px; border-style: solid; border-color: transparent transparent rgb(224, 224, 224); -moz-border-top-colors: none; -moz-border-right-colors: none; -moz-border-bottom-colors: none; -moz-border-left-colors: none; border-image: none; color: rgb(119, 119, 119); display: block; float: left; font-size: 12px; line-height: 1; margin: 0px 8px 0px 0px; padding: 10px; text-decoration: none; }
#tabs a.youarehere, .tabs a.youarehere { font-weight: normal; border-right: 1px solid rgb(224, 224, 224); border-width: 2px 1px 1px; border-style: solid; border-left: 1px solid rgb(224, 224, 224); -moz-border-top-colors: none; -moz-border-right-colors: none; -moz-border-bottom-colors: none; -moz-border-left-colors: none; border-image: none; border-color: rgb(255, 153, 0) rgb(224, 224, 224) rgb(255, 255, 255); color: rgb(34, 34, 34); }
#tabs a:hover, .tabs a:hover { background: none repeat scroll 0% 0% rgb(255, 255, 255); border-right: 1px solid rgb(224, 224, 224); border-width: 2px 1px 1px; border-style: solid; border-left: 1px solid rgb(224, 224, 224); -moz-border-top-colors: none; -moz-border-right-colors: none; -moz-border-bottom-colors: none; -moz-border-left-colors: none; border-image: none; border-color: rgb(255, 153, 0) rgb(224, 224, 224) rgb(255, 255, 255); }
.related { font-size: 12px; }
.related a { font-size: 13px; font-weight: normal; }
.linked { line-height: 1.3; font-size: 12px; }
.linked a { font-size: 13px; font-weight: normal; }
.label-key { font-size: 14px; }
#mainbar h2, .mainbar h2, #mainbar h3, .mainbar h3, #mainbar h4, .mainbar h4 { font-weight: normal; }
.wmd-button > span { background-image: url("wmd-buttons.svg"), none; background-size: initial ! important; }
@media not all, not all, not all, not all {
  .wmd-button > span { background-image: url("wmd-buttons.svg"), none; }
}
input[type="text"]:focus, input[type="email"]:focus, input[type="password"]:focus, textarea:focus { outline: 0px none; border: 1px solid rgb(0, 119, 204); }
input[type="text"], textarea:not(.wmd-input), .tag-editor { box-shadow: 0px 1px 2px rgba(0, 0, 0, 0.1) inset; }
#hot-network-questions a { font-size: 12px; }
.vote-up-off, .vote-up-on, .vote-down-off, .vote-down-on { height: 30px; }
.vote-down-off, .vote-down-on { margin-bottom: 10px; }
.star-on, .star-off { height: 30px; }
textarea#wmd-input { font-family: Consolas,Menlo,Monaco,Lucida Console,Liberation Mono,DejaVu Sans Mono,Bitstream Vera Sans Mono,Courier New,monospace,serif; }
